## org.biojava.bio.proteomics
Class IsoelectricPointCalc

    java.lang.Object
      org.biojava.bio.proteomics.IsoelectricPointCalc

    public class IsoelectricPointCalc

extends java.lang.Object

class that computes isoelectric point for proteins

Since:
  1.22
Author:
  David Huen

Nested Class Summary
`class` `IsoelectricPointCalc.ChargeCalculator`

Field Summary
`static double` `PK_COOH`
`static double` `PK_NH2`

Constructor Summary
`IsoelectricPointCalc()`

Method Summary
`double` `getPI(SymbolList peptide, boolean hasFreeNTerm, boolean hasFreeCTerm)` Computes isoelectric point of specified peptide.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PK_NH2

    public static double PK_NH2

### PK_COOH

    public static double PK_COOH

Constructor Detail

### IsoelectricPointCalc

    public IsoelectricPointCalc()

Method Detail

### getPI

    public double getPI(SymbolList peptide,
                        boolean hasFreeNTerm,
                        boolean hasFreeCTerm)
                 throws IllegalAlphabetException,
                        BioException

  Computes isoelectric point of specified peptide.

  Parameters:
    `peptide` - peptide of which pI is required.
    `hasFreeNTerm` - has free N-terminal amino group.
    `hasFreeCTerm` - has free C-terminal carboxyl group.
  Throws:
    `IllegalAlphabetException`
    `BioException`